// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package JavaCodegenTest;

/************************************************************/
/**
 * 
 */
public class TestType {
	/**
	 * 
	 */
	public TestHeritage c3;
	/**
	 * 
	 */
	public char charVar;
	/**
	 * 
	 */
	public double doubleVar;
	/**
	 * 
	 */
	public float floatVar;
	/**
	 * 
	 */
	public int intVar;
	/**
	 * 
	 */
	public long longVar;
	/**
	 * 
	 */
	public Short shortVar;
	/**
	 * 
	 */
	public byte byteVar;
	/**
	 * 
	 */
	public boolean boolVar;
	/**
	 * 
	 */
	public Byte ByteVar;
	/**
	 * 
	 */
	public Integer integerVar;
	/**
	 * 
	 */
	public Double DoubleVar;
	/**
	 * 
	 */
	public Float FloatVar;
	/**
	 * 
	 */
	public Character characterVar;
	/**
	 * 
	 */
	public double[] arrayDoubleDefault = { 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 };
	/**
	 * 
	 */
	public char arrayCharInit;
	/**
	 * 
	 */
	public char charString;
	/**
	 * 
	 */
	public static char charStringStaticInit = 'r';
	/**
	 * 
	 */
	public static char charStringStaticConstInit = 'r';
}
